Name:          kbd
Version:       2.3.0
Release:       1mamba
Summary:       Tools for configuring the console (keyboard, virtual terminals, etc.)
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
#URL:           http://www.kernel.org/pub/linux/utils/kbd/
URL:           http://www.kernel.org
#http://www.kernel.org/pub/linux/utils/kbd/%{name}-%{version}.tar.bz2
Source:        https://git.kernel.org/pub/scm/linux/kernel/git/legion/kbd.git/v%{version}/kbd-%{version}.tar.bz2
Patch0:        kbd-1.12-gcc4-fixes-1.patch
Patch1:        kbd-1.12-it-macbook.patch
Patch2:        kbd-1.15.3-es.po_fix-1.patch
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpam-devel
## AUTOBUILDREQ-END
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

%description
The kbd package contains tools for managing a Linux system's console's behavior, including the keyboard, the screen fonts, the virtual terminals and font files.

%debug_package

%prep
%setup -q
#%patch1 -p1

./autogen.sh

#%if %{_target_cpu} != "i586"
#sed -i "s|resizecons\.c||" src/Makefile.in
#sed -i "s|resizecons||" src/Makefile.in
#%endif

# rename keymap files with the same names
# this is needed because when only name of keymap is specified
# loadkeys loads the first keymap it can find, which is bad (see FS#13837)
# this should be removed when upstream adopts the change
mv data/keymaps/i386/qwertz/cz{,-qwertz}.map
mv data/keymaps/i386/olpc/es{,-olpc}.map
mv data/keymaps/i386/olpc/pt{,-olpc}.map
mv data/keymaps/i386/fgGIod/trf{,-fgGIod}.map
mv data/keymaps/i386/colemak/{en-latin9,colemak}.map

%build
%configure

%make CC=%{_target_platform}-gcc

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -d %{buildroot}/bin
mv %{buildroot}%{_bindir}/unicode_{start,stop} \
   %{buildroot}/bin

# see FHS 2.3
install -d %{buildroot}/sbin
mv %{buildroot}%{_bindir}/kbdrate \
   %{buildroot}/sbin

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
/bin/*
/sbin/kbdrate
%{_bindir}/*
%{_libdir}/libtswrap.a
%{_libdir}/libtswrap.la
%{_libdir}/libtswrap.so
%{_libdir}/libtswrap.so.*
%dir %{_datadir}/consolefonts
%{_datadir}/consolefonts/*
%dir %{_datadir}/consoletrans
%{_datadir}/consoletrans/*
%dir %{_datadir}/keymaps
%{_datadir}/keymaps/*
%dir %{_datadir}/unimaps
%{_datadir}/unimaps/*
%{_mandir}/man?/*
%doc COPYING

%changelog
* Tue Aug 18 2020 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- update to 2.2.0

* Wed Jul 05 2017 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Sun Aug 16 2015 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Sat Mar 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-2mamba
- remove obsolete /etc/sysconfig/console
- don't require initscripts

* Mon Aug 04 2014 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic update by autodist

* Mon Nov 18 2013 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Tue Aug 20 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Dec 15 2012 Automatic Build System <autodist@mambasoft.it> 1.15.5-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15.3-5mamba
- require initscript, not prereq

* Mon Dec 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15.3-4mamba
- remove post code for creating /etc/vconsole.conf moved to initscripts package

* Wed Nov 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15.3-3mamba
- remove kbd initscript to let console init be managed by initscripts package

* Thu Sep 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15.3-2mamba
- create file /etc/vconsole.conf using /etc/sysconfig/keyboard and /etc/sysconfig/console which will get obsoleted
- initscript: use /etc/vconsole.conf instead of /etc/sysconfig/keyboard and /etc/sysconfig/console

* Sun Jun 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15.3-1mamba
- update to 1.15.3
- initscript: export LC_ALL=$LANG

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 1.15.2-1mamba
- automatic update by autodist

* Wed Jan 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15-1mamba
- update to 1.15

* Tue Mar 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-11mamba
- initscript: removed splash repaint no longer useful
- specfile updates

* Sat Feb 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-10qilnx
- initscript: initialize only tty0-5

* Mon Nov 20 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-9qilnx
- it-macbook: fix for 2.6.18.3 kernel

* Mon Oct 02 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-8qilnx
- added map for macbook italian keyboard (it-macbook)

* Tue Jun 27 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.12-7qilnx
- fixed to avoid installation of binary file in /etc

* Thu Mar 23 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-6qilnx
- rebuild

* Wed Feb 08 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-5qilnx
- added initscript prereq

* Tue Feb 07 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-4qilnx
- move datadir files to /usr/share/kbd
- add kbd initscript with unicode support

* Tue Sep 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-3qilnx
- cross platform build support added

* Mon Apr 04 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.12-2qilnx
- fixed path for kbdrate (FHS 2.3 specifications)

* Thu Oct 28 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.12-1qilnx
- update to version 1.12 by autospec

* Sun Apr 27 2003 Silvan Calarco <silvan.calarco@qinet.it>
- fixed datadir configure

* Mon Apr 07 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it>
- Creation of kbd package
